<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: user_state_include.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

// Display user field input
if ($profile_method == "input") {
    $user_fields = form_hidden('user_state', '', $field_value);
    if (defined('ADMIN_PANEL')) {
        $user_fields = "<div class='well m-t-5 text-center'>".$locale['uf_state']."</div>";
    }

    // Display in profile
} else if ($profile_method == "display") {
    if (iADMIN) {
        $uf_state = [
            0  => $locale['uf_state_0'],
            1  => $locale['uf_state_1'],
            2  => $locale['uf_state_2'],
            3  => $locale['uf_state_3'],
            4  => $locale['uf_state_4'],
            5  => $locale['uf_state_5'],
            6  => $locale['uf_state_6'],
            7  => $locale['uf_state_7'],
            8  => $locale['uf_state_8'],
            9  => $locale['uf_state_9'],
            10 => $locale['uf_state_10']
        ];

        $action_url = FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "");

        if (check_post('send_state') && post('send_state', FILTER_DEFAULT)) {
            $userstate = post('user_state', FILTER_VALIDATE_INT);
            $lookup = get('lookup', FILTER_VALIDATE_INT);

            $field_value = $userstate;
            dbquery("UPDATE ".DB_USERS." SET user_state = '".$userstate."'".($userstate < 9 ? ", user_status = '".$userstate."'" : '')." WHERE user_id = '".$lookup."'");
        }

        $options += [
            'type'       => 'radio',
            'inline'     => TRUE,
            'error_text' => $locale['uf_state_error'],
            'options'    => $uf_state
        ];

        $user_fields = [
            'title' => $locale['uf_state'],
            'value' => openform('sendfieldstate_form', 'post', $action_url).
                form_select('user_state', '', $field_value, $options).
                form_button('send_state', $locale['uf_state_bt'], $locale['uf_state_bt'], ['class' => 'btn-sm btn-default']).
                closeform()
        ];

    } else {
        $user_fields = [
            'title' => $locale['uf_state'],
            'value' => $locale['uf_state_'.$user_data['user_state']]
        ];
    }
}
